Subject: Re: [xml2rfc] Vanity Reference Tags

From: Julian Reschke <[email-masked]>
Date: Fri, 01 Nov 2013 11:45:51 +0100

On 2013-11-01 06:44, Jim Schaad wrote:
> Julian,
>
> Having read the data tracker item, from an XML point of view this makes
> perfect sense as a way to do things.
>
>>From a usability point of view I think that the approach outlined makes
> things difficult.
>
> 1.  Consider if I create an entity reference for BCP0101 and use that
> directly.  Either the file needs to include the set of references in total,

That's the idea.

> or I am now going to get a series of undefined references that I cannot find
> a reason to exist in my original document.  For RFCs this is not a big
> issue, for other standards documents this may be a problem as I would not
> necessarily know what they reference.
>
> 2.  This makes it difficult for me to have a single file in which I keep
> track of all of my vanity tags that I use.  Instead I will need a new file
> for each different tag.  Using a directive of some type would allow for a
> single file to be included and then the contents would be used in the event
> that I actually include and use the reference in question.

I'm not sure why this is a requirement. At the end of the day you can 
always apply local preprocessing supporting the tool chain that's 
optimal for you. But that shouldn't necessarily affect the vocabulary 
design.

> 3.  Based on what is given in the ticket, there is an interesting question
> if one has a reference to BCP9 and one also has a reference to RFC 5657 that
> is independent.  Should both of these items be different references so that
> when an aggregation is done the tags on the inner references are hidden and
> the document would be included in the references twice, once as part of the
> BCP9 and once as an independent document

Indeed. That's something we need to discuss with the RSE first.

> Since this is not fully ironed out I may or may not look at this on
> Saturday, will think about it.
> ...

Best regards, Julian

---

From: [email-masked]
Date: Fri, 01 Nov 2013 12:26:06 -0400

> is independent.  Should both of these items be different references so that

particularly if the point of the document is to constrast how a the new BCP9 
might do something differently than the RFC5657 that is currently BCP9.
(Such as when writing rfc5657bis...)

Michael Richardson
-on the road-